## f3 2.2

=== Makefile ===
linux:
	gcc -Wall -c utils.c
	gcc -Wall -c f3write.c
	gcc -Wall -c f3read.c
	gcc -o f3write utils.o f3write.o -lm
	gcc -o f3read utils.o f3read.o

mac:
	gcc -Wall -DAPPLE_MAC -c utils.c
	gcc -Wall -DAPPLE_MAC -c f3write.c
	gcc -Wall -DAPPLE_MAC -c f3read.c
	gcc -o f3write utils.o f3write.o -lm
	gcc -o f3read utils.o f3read.o

clean:
	rm -f *.o f3write f3read

=== debian/changelog ===
f3 (2.2-2) unstable; urgency=medium

  * Bumped Standards-Version from 3.9.4 to 3.9.5.
  * debian/control: fixed the Vcs-Browser field.
  * debian/copyright: fixed the upstream e-mail address (s/michael/michel/).
  * debian/source/: added an override to reply to check-gpg-signature.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 27 Dec 2013 14:13:13 -0200

f3 (2.2-1) unstable; urgency=low

  * Initial release (Closes: #705176)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 23 Apr 2013 11:47:05 -0300

=== debian/control ===
Source: f3
Section: utils
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Homepage: http://oss.digirati.com.br/f3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/f3.git
Vcs-Git: git://anonscm.debian.org/collab-maint/f3.git

Package: f3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: test real flash memory capacity
 F3 (Fight Flash Fraud or Fight Fake Flash) tests the full capacity of a
 flash card (flash drive, flash disk, pendrive).
 .
 F3 writes to the card and then checks if can read it. It will assure you
 haven't been sold a card with a smaller capacity than stated.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

=== debian/watch ===
version=3
https://github.com/AltraMayor/f3/tags .*/v?(\d\S*)\.tar\.gz

## f3 3.0

=== Makefile ===
--- 
+++ 
@@ -12,5 +12,12 @@
 	gcc -o f3write utils.o f3write.o -lm
 	gcc -o f3read utils.o f3read.o
 
+cygwin:
+	gcc -Wall -Wno-char-subscripts -DCYGWIN -c utils.c
+	gcc -Wall -Wno-char-subscripts -DCYGWIN -c f3write.c
+	gcc -Wall -Wno-char-subscripts -DCYGWIN -c f3read.c
+	gcc -o f3write utils.o f3write.o -lm
+	gcc -o f3read utils.o f3read.o
+
 clean:
 	rm -f *.o f3write f3read

=== debian/changelog ===
f3 (3.0-2) unstable; urgency=medium

  * New maintainer email address.
  * debian/control: updated the Vcs-Browser field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 04 Aug 2014 21:35:24 -0300

f3 (3.0-1) unstable; urgency=medium

  * New upstream release.
  * The upstream is now providing a changelog. So, these files/directory are
    useless and was removed:
      - debian/changelog.upstream;
      - debian/docs;
      - debian/man/;
      - debian/README.source.
  * debian/control: removed dpkg-dev from Build-Depends field. DH9 no longer
    uses it.
  * debian/copyright:
      - Changed the upstream name from Digirati to Michel Machado.
      - Updated the upstream and packaging copyright years.
  * debian/f3.manpages: pointing to upstream manpage now.
  * debian/patches: added the changelog patch to remove an undesirable header.
  * debian/rules:
      - Removed the useless lines 'DPKG_EXPORT_BUILDFLAGS = 1' and
        'include /usr/share/dpkg/buildflags.mk'. DH9 no longer uses it.
      - Removed the 'override_dh_installchangelogs' target, because the
        upstream is providing a changelog.
  * debian/source/lintian-overrides: removed as requested by Paul Wise. Thanks
    to Paul for explanations about the idea of the GPG sign check.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 08 Jun 2014 11:20:39 -0300

## f3 4.0

=== Makefile ===
CC ?= gcc
CFLAGS += -std=c99 -Wall -Wextra -pedantic -MMD

TARGETS = f3write f3read

all: $(TARGETS)

f3write: utils.o f3write.o
	$(CC) -o $@ $^ -lm

f3read: utils.o f3read.o
	$(CC) -o $@ $^

-include *.d

PHONY: clean

clean:
	rm -f *.o *.d $(TARGETS)

=== debian/changelog ===
f3 (4.0-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Oct 2014 19:59:09 -0200

f3 (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed the 'f3' prefix from f3.install, f3.links and f3.manpages.
  * debian/docs: added to install the new upstream README file.
  * debian/install: now installing the new upstream files f3write.h2w
      and log-f3wr.
  * debian/patches/:
      - Created the patch 'README' to tell about the place of the
        f3write.h2w and log-f3wr files in Debian.
      - Remade the patch 'Makefile', because the upstream changed the
        structure of the original file.
      - Removed the patch 'changelog'. The upstream fixed the source
        code. Thanks.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the
        issues pointed by blhc.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 19 Sep 2014 18:33:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: f3
 Section: utils
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Homepage: http://oss.digirati.com.br/f3
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/f3.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/f3.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/f3.git
 
 Package: f3

## f3 5.0

=== Makefile ===
CC ?= gcc
CFLAGS += -std=c99 -Wall -Wextra -pedantic -MMD -ggdb

TARGETS = f3write f3read
EXPERIMENTAL_TARGETS = f3probe f3brew f3fix

all: $(TARGETS)
experimental: $(EXPERIMENTAL_TARGETS)

f3write: utils.o f3write.o
	$(CC) -o $@ $^ -lm

f3read: utils.o f3read.o
	$(CC) -o $@ $^

f3probe: libutils.o libdevs.o libprobe.o utils.o f3probe.o
	$(CC) -o $@ $^ -lm -ludev

f3brew: libutils.o libdevs.o f3brew.o
	$(CC) -o $@ $^ -lm -ludev

f3fix: utils.o f3fix.o
	$(CC) -o $@ $^ -lparted

-include *.d

PHONY: cscope clean

cscope:
	cscope -b *.c *.h

clean:
	rm -f *.o *.d cscope.out $(TARGETS) $(EXPERIMENTAL_TARGETS)

=== debian/changelog ===
f3 (5.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Added libparted-dev and libudev-dev to Build-Depends field.
      - Improved the long description.
  * debian/manpages/*: new manpages (f3fix and f3probe).
  * debian/patches/Makefile: updated to add GCC hardening to experimental
      commands.
  * debian/rules:
      - Building the experimental commands. (Closes: #780633)
      - Disabled the parallel build.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 27 May 2015 13:49:57 -0300

f3 (5.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Fixed the GPL-3 license text.
      - Updated the packaging copyright years.
  * debian/patches/: reviewed the Makefile and README patches.
  * debian/README.Debian: added to point to upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2015 11:19:19 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), libparted-dev, libudev-dev
 Standards-Version: 3.9.6
 Homepage: http://oss.digirati.com.br/f3
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/f3.git
@@ -16,4 +16,9 @@
  flash card (flash drive, flash disk, pendrive).
  .
  F3 writes to the card and then checks if can read it. It will assure you
- haven't been sold a card with a smaller capacity than stated.
+ haven't been sold a card with a smaller capacity than stated. Note that
+ Note that the main goal of F3 is not fix your removable media. However,
+ There are resources to mark the invalid areas.
+ .
+ This package provides these executables: f3write, f3read, f3fix and
+ f3probe.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) experimental

## f3 6.0

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,23 @@
 TARGETS = f3write f3read
 EXPERIMENTAL_TARGETS = f3probe f3brew f3fix
 
+PREFIX = /usr/local
+INSTALL = install
+LN = ln
+
 all: $(TARGETS)
 experimental: $(EXPERIMENTAL_TARGETS)
+
+install: all
+	$(INSTALL) -d $(PREFIX)/bin
+	$(INSTALL) -oroot -groot -m755 $(TARGETS) $(PREFIX)/bin
+	$(INSTALL) -d $(PREFIX)/share/man/man1
+	$(INSTALL) -oroot -groot -m644 f3read.1 $(PREFIX)/share/man/man1
+	$(LN) -sf f3read.1 $(PREFIX)/share/man/man1/f3write.1
+
+install-experimental: experimental
+	$(INSTALL) -d $(PREFIX)/bin
+	$(INSTALL) -oroot -groot -m755 $(EXPERIMENTAL_TARGETS) $(PREFIX)/bin
 
 f3write: utils.o f3write.o
 	$(CC) -o $@ $^ -lm
@@ -13,13 +28,13 @@
 f3read: utils.o f3read.o
 	$(CC) -o $@ $^
 
-f3probe: libutils.o libdevs.o libprobe.o utils.o f3probe.o
+f3probe: libutils.o libdevs.o libprobe.o f3probe.o
 	$(CC) -o $@ $^ -lm -ludev
 
 f3brew: libutils.o libdevs.o f3brew.o
 	$(CC) -o $@ $^ -lm -ludev
 
-f3fix: utils.o f3fix.o
+f3fix: libutils.o f3fix.o
 	$(CC) -o $@ $^ -lparted
 
 -include *.d

=== debian/changelog ===
f3 (6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: fixed the long description. Thanks to Jonas Smedegaard
      <dr@jones.dk>. (Closes: #787083)
  * debian/copyright:
      - Updated upstream and packaging copyright years.
      - Updated the packaging licensing from GPL-3 to GPL-3+.
  * debian/docs: updated to provide README.md instead of README.
  * debian/gbp.conf: not used by me... Removed.
  * debian/install: removed some files installed by the upstream now.
  * debian/links: removed. The upstream is providing the link now.
  * debian/manpage/:
      - Added a manpage for f3brew.
      - genallman.sh: updated to version v0.3.
      - Updated all manpages.
  * debian/manpages:
      - Added f3brew.1.
      - Removed f3read.1, installed by the upstream now.
  * debian/patches:
      - Makefile: renamed to 10_add_GCC_hardening_and_fix_install.patch.
      - README: renamed to 20_add_information_about_Debian.patch and updated.
  * debian/rules: added the override_dh_auto_install target to create and
      install the experimental files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 09 Jan 2016 20:53:34 -0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  flash card (flash drive, flash disk, pendrive).
  .
  F3 writes to the card and then checks if can read it. It will assure you
- haven't been sold a card with a smaller capacity than stated. Note that
- Note that the main goal of F3 is not fix your removable media. However,
- There are resources to mark the invalid areas.
+ have not been bought a card with a smaller capacity than stated. Note that
+ the main goal of F3 is not to fix your removable media. However, there
+ are resources to mark the invalid areas.
  .
- This package provides these executables: f3write, f3read, f3fix and
- f3probe.
+ This package provides these executables: f3write, f3read, f3brew, f3fix
+ and f3probe.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	$(MAKE) experimental
+
+override_dh_auto_install:
+	dh_auto_install
+	$(MAKE) PREFIX=$(CURDIR)/debian/f3/usr install-experimental

=== debian/watch ===
version=3
https://github.com/AltraMayor/f3/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## f3 7.0

=== Makefile ===
CC ?= gcc
CFLAGS += -std=c99 -Wall -Wextra -pedantic -MMD -ggdb

TARGETS = f3write f3read
EXTRA_TARGETS = f3probe f3brew f3fix

PREFIX = /usr/local
INSTALL = install
LN = ln

all: $(TARGETS)
extra: $(EXTRA_TARGETS)

install: all
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -oroot -groot -m755 $(TARGETS) $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL) -oroot -groot -m644 f3read.1 $(DESTDIR)$(PREFIX)/share/man/man1
	$(LN) -sf f3read.1 $(DESTDIR)$(PREFIX)/share/man/man1/f3write.1

install-extra: extra
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -oroot -groot -m755 $(EXTRA_TARGETS) $(DESTDIR)$(PREFIX)/bin

f3write: utils.o f3write.o
	$(CC) -o $@ $^ $(LDFLAGS) -lm

f3read: utils.o f3read.o
	$(CC) -o $@ $^ $(LDFLAGS)

f3probe: libutils.o libdevs.o libprobe.o f3probe.o
	$(CC) -o $@ $^ $(LDFLAGS) -lm -ludev

f3brew: libutils.o libdevs.o f3brew.o
	$(CC) -o $@ $^ $(LDFLAGS) -lm -ludev

f3fix: libutils.o f3fix.o
	$(CC) -o $@ $^ $(LDFLAGS) -lparted

-include *.d

PHONY: cscope clean

cscope:
	cscope -b *.c *.h

clean:
	rm -f *.o *.d cscope.out $(TARGETS) $(EXTRA_TARGETS)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/f3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/f3.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/f3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/f3"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
f3 (7.0-1) unstable; urgency=medium

  * New upstream release
  * Take over maintainership (Closes: #848674)
  * Reroll patch
  * Remove 10_add_GCC_hardening_and_fix_install.patch, merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Jan 2018 10:08:16 -0500

f3 (6.0-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #848674)
  * Bumped DH level to 10.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Dec 2016 07:45:51 -0200

f3 (6.0-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed from any to linux-any in Architecture field. Thanks to Andreas
        Beckmann <anbe@debian.org>.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Jul 2016 22:28:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: f3
 Section: utils
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9), libparted-dev, libudev-dev
-Standards-Version: 3.9.6
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper (>= 10), libparted-dev, libudev-dev
+Standards-Version: 3.9.8
 Homepage: http://oss.digirati.com.br/f3
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/f3.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/f3.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/f3.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/f3.git
 
 Package: f3
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: test real flash memory capacity
  F3 (Fight Flash Fraud or Fight Fake Flash) tests the full capacity of a

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) extra

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	$(MAKE) DESTDIR=$(CURDIR)/debian/f3 PREFIX=/usr install-extra

## f3 7.1

=== Makefile ===
--- 
+++ 
@@ -8,19 +8,28 @@
 INSTALL = install
 LN = ln
 
+ifndef OS
+	OS = $(shell uname -s)
+endif
+ifneq ($(OS), Linux)
+	ARGP = /usr/local
+	CFLAGS += -I$(ARGP)/include
+	LDFLAGS += -L$(ARGP)/lib -largp
+endif
+
 all: $(TARGETS)
 extra: $(EXTRA_TARGETS)
 
 install: all
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
-	$(INSTALL) -oroot -groot -m755 $(TARGETS) $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m755 $(TARGETS) $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
-	$(INSTALL) -oroot -groot -m644 f3read.1 $(DESTDIR)$(PREFIX)/share/man/man1
+	$(INSTALL) -m644 f3read.1 $(DESTDIR)$(PREFIX)/share/man/man1
 	$(LN) -sf f3read.1 $(DESTDIR)$(PREFIX)/share/man/man1/f3write.1
 
 install-extra: extra
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
-	$(INSTALL) -oroot -groot -m755 $(EXTRA_TARGETS) $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m755 $(EXTRA_TARGETS) $(DESTDIR)$(PREFIX)/bin
 
 f3write: utils.o f3write.o
 	$(CC) -o $@ $^ $(LDFLAGS) -lm

=== debian/changelog ===
f3 (7.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes:
    #894141)

  [ Antoine Beaupré ]
  * New upstream release.
  * Switch Vcs-* URLs to salsa
  * update standards to 4.2, no change
  * switch to tracking upstream master branch and tags to have
    reproducible tarballs

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 21 Aug 2018 16:52:59 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) extra
+	dh_auto_build -- extra
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
https://github.com/AltraMayor/f3/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## f3 7.2

=== debian/changelog ===
f3 (7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2019 20:41:17 -0400

## f3 8.0

=== Makefile ===
--- 
+++ 
@@ -31,11 +31,11 @@
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
 	$(INSTALL) -m755 $(EXTRA_TARGETS) $(DESTDIR)$(PREFIX)/bin
 
-f3write: utils.o f3write.o
+f3write: utils.o libflow.o f3write.o
 	$(CC) -o $@ $^ $(LDFLAGS) -lm
 
-f3read: utils.o f3read.o
-	$(CC) -o $@ $^ $(LDFLAGS)
+f3read: utils.o libflow.o f3read.o
+	$(CC) -o $@ $^ $(LDFLAGS) -lm
 
 f3probe: libutils.o libdevs.o libprobe.o f3probe.o
 	$(CC) -o $@ $^ $(LDFLAGS) -lm -ludev

=== debian/changelog ===
f3 (8.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Oct 2021 12:06:31 -0700

f3 (8.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 21:01:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: f3
 Section: utils
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 10), libparted-dev, libudev-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 Homepage: http://oss.digirati.com.br/f3
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/f3.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/f3.git
+Vcs-Browser: https://salsa.debian.org/debian/f3
+Vcs-Git: https://salsa.debian.org/debian/f3.git
 
 Package: f3
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: test real flash memory capacity
  F3 (Fight Flash Fraud or Fight Fake Flash) tests the full capacity of a
  flash card (flash drive, flash disk, pendrive).

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 	$(MAKE) DESTDIR=$(CURDIR)/debian/f3 PREFIX=/usr install-extra
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## f3 9.0

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,20 @@
 endif
 ifneq ($(OS), Linux)
 	ARGP = /usr/local
+	ifeq ($(OS), Darwin)
+		ifneq ($(shell command -v brew),)
+			ARGP = $(shell brew --prefix)
+		endif
+	endif
 	CFLAGS += -I$(ARGP)/include
 	LDFLAGS += -L$(ARGP)/lib -largp
 endif
 
 all: $(TARGETS)
 extra: $(EXTRA_TARGETS)
+
+docker:
+	docker build -f Dockerfile -t f3:latest .
 
 install: all
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
f3 (9.0-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 27 Mar 2025 14:34:18 -0400

f3 (8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Update standards version to 4.2.1, no changes needed.

  [ Antoine Beaupré ]
  * follow homepage change (Closes: #993886)
  * fix watch file to match canonical recommendations

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 15:10:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: f3
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10), libparted-dev, libudev-dev
-Standards-Version: 4.2.0
-Homepage: http://oss.digirati.com.br/f3
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libparted-dev,
+ libudev-dev,
+Standards-Version: 4.2.1
+Homepage: https://fight-flash-fraud.readthedocs.io/en/stable/
 Vcs-Browser: https://salsa.debian.org/debian/f3
 Vcs-Git: https://salsa.debian.org/debian/f3.git
+X-Style: black
 
 Package: f3
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: test real flash memory capacity
  F3 (Fight Flash Fraud or Fight Fake Flash) tests the full capacity of a
  flash card (flash drive, flash disk, pendrive).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
      https://github.com/AltraMayor/f3/tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
